@font-face {
    font-family: "Public Sans";
    src: url("https://staging.wisden.com/static-assets/build/fonts/PublicSans-Light.woff2?v=51890297") format("woff2");
    font-style: normal;
    font-weight: 300;
    font-display: swap;
}

:root {
    --ed-common-root-element-font-size: 16px;
    --ed-common-font-family: "Open Sans", "Public Sans", sans-serif;
    --ed-common-background-color: #ffffff;
    --ed-common-border-radius: 8px;

    --ed-common-home-innings-1: #3f0b75;
    --ed-common-home-innings-2: #160429;
    --ed-common-away-innings-1: #fcd116;
    --ed-common-away-innings-2: #fc9b00;

    --ed-buttons-color: #3f0b75;
    --ed-buttons-background-color: #ececec;
    --ed-buttons-hover-background-color: #dedede;
    --ed-buttons-selected-color: #ffffff;
    --ed-buttons-selected-background-color: #fbd218;
    --ed-buttons-border-color: #cfcfcf;

    --ed-tabs-filter-button-color: #3f0b75;
    --ed-tabs-filter-button-background-color: #ececec;
    --ed-tabs-filter-button-hover-background-color: #dedede;
    --ed-tabs-filter-button-active-background-color: #fce7af;

    --ed-filter-color: #424242;
    --ed-filter-background-color: #f5f5f5;
    --ed-filter-border-color: #d4d4d4;
    --ed-filter-hover-border-color: #989898;

    --ed-select-background-color: #ffffff;
    --ed-select-border-color: #cfcfcf;
    --ed-select-hover-border-color: #989898;

    --ed-header-title-color: #121212;
    --ed-header-suffix-color: #555555;
    --ed-header-border: 1px solid #ececec;
    --ed-footer-title-color: #121212;
    --ed-footer-suffix-color: #555555;
    --ed-footer-border: 1px solid #ececec;

    --ed-chart-text-color: #424242;
    --ed-chart-line-color: #d4d4d4;
}

wis-match-strip {
    --ed-match-strip-matches-box-background-color: #16042A;
    --ed-match-strip-match-box-background-color: rgb(245, 245, 245);
    --ed-match-strip-border-color: #16042A;
    --ed-match-strip-match-box-border-radius: 10px;
    --ed-match-strip-result-box-background-color: #ECECEC;
    --ed-match-strip-match-box-hover-background-color:#ffffff;
    --ed-match-strip-match-button-background-color: #FCE7AF;
    --ed-match-strip-match-button-text-color: #272727;
    --ed-match-strip-match-button-border-color: #FBD218;
    --ed-match-strip-match-button-hover-background-color: #FCD116;
    --ed-match-strip-match-button-hover-text-color: #121212;
    --ed-match-strip-arrow-icon-color: #7C7C7C;
    --ed-match-strip-arrow-icon-hover-color: #424242;
    --ed-match-strip-arrow-icon-active-color: #121212;
    --ed-match-strip-top-bar-date-color: #121212;
    --ed-match-strip-result-box-text-color: #121212;
    --ed-match-strip-team-info-color: rgb(38, 38, 38);
    --ed-match-strip-match-time-location-color: #666666;
    --ed-match-strip-match-context-color: #6C7275;
    --ed-match-strip-nav-button-horizontal-padding: 0px;
    --ed-match-strip-nav-button-background-color: #16042A;
    --ed-match-strip-match-box-gap: 2px;
    --ed-match-strip-match-box-padding: 6px 12px;
    --ed-match-strip-detached-matches-box-padding: 12px;
    --ed-match-strip-detached-matches-box-gap: 20px;
    --ed-match-strip-detached-match-box-shadow: #000;
    --ed-common-root-element-font-size: 12.5px;
}

wis-standings,
wis-squads,
wis-scorecard {
    --ed-filter-background-color: #f5f5f5;
    --ed-filter-border-color: #d4d4d4;
    --ed-filter-hover-border-color: #989898;
    --ed-select-border-color: #cfcfcf;
    --ed-tabs-filter-button-color: #3f0b75;
    --ed-tabs-filter-button-background-color: #ececec;
}

wis-winviz,
wis-winviz-history {
    --ed-winviz-bar-percent-font-size: 1.5rem;
    --ed-winviz-bar-team-name-color: #121212;
    --ed-winviz-bar-percent-color: #3f0b75;
    --ed-winviz-donut-label-color: #121212;
}

ellipse-data-cricket.ellipse-data-loading {
    opacity: 0.6;
}

ellipse-data-cricket.ellipse-data-load-error {
    display: none;
}

ellipse-data-cricket[disabled] {
    opacity: 0.45;
}

wis-match-strip{
    min-height: 16.8rem;
    display: flex;
    align-items: center;
    background-image: linear-gradient(92.5deg, rgb(22, 4, 42) -0.01%, rgb(54, 40, 82) 133.57%);
}

wis-match-strip div {
    position:relative;
    width: 100%;
}

wis-match-strip:empty{
    position: relative;
}

wis-match-strip:empty::after,
wis-match-strip div:has(.ellipse-data-loading)::after,
wis-standings:empty::after,
wis-standings div:has(.ellipse-data-loading)::after,
wis-squads:empty::after,
wis-squads div:has(.ellipse-data-loading)::after {
    content: "";
    position: absolute;
    inset: 0;
    display: flex;
    align-items: center;
    justify-content: center;

    /* spinner */
    width: 40px;
    height: 40px;
    margin: auto;
    border: 4px solid #ccc;
    border-top-color: #333;
    border-radius: 50%;
    animation: spin 1s linear infinite;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
wis-standings {
    min-height: 62rem;
    display:block;
}
wis-squads {
    min-height: 50rem;
    display:block;
}